org.eclipse.eef.properties.ui.legacy.internal.extension.impl

## Class LegacyPropertyContributorItemDescriptor

- java.lang.Object
- - org.eclipse.eef.properties.ui.legacy.internal.extension.impl.LegacyPropertyContributorItemDescriptor

All Implemented Interfaces:
  IItemDescriptor

    public class LegacyPropertyContributorItemDescriptor
    extends java.lang.Object
    implements IItemDescriptor

The property contributor descriptor.

### Constructor Summary

Constructors
Constructor and Description
`LegacyPropertyContributorItemDescriptor(org.eclipse.core.runtime.IConfigurationElement configurationElement)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.ui.views.properties.tabbed.IActionProvider` `getActionProvider()` Return the actionProvider.
`java.util.List<java.lang.String>` `getCategories()` Get categories.
`java.lang.String` `getId()` Returns the identifier.
`org.eclipse.jface.viewers.ILabelProvider` `getLabelProvider()` Return the labelProvider.
`org.eclipse.ui.views.properties.tabbed.ISectionDescriptorProvider` `getSectionDescriptorProvider()` Return the sectionDescriptorProvider.
`org.eclipse.ui.views.properties.tabbed.ITabDescriptorProvider` `getTabDescriptorProvider()` Return the tabDescriptorProvider.
`org.eclipse.ui.views.properties.tabbed.ITypeMapper` `getTypeMapper()` Return the typeMapper.
`boolean` `isOverridableTabListContentProvider()` Return the overridableTabListContentProvider.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacyPropertyContributorItemDescriptor

    public LegacyPropertyContributorItemDescriptor(org.eclipse.core.runtime.IConfigurationElement configurationElement)

The constructor.

Parameters:
  `configurationElement` - The configuration element

### Method Detail

#### getId

    public java.lang.String getId()

Returns the identifier.

Specified by:
  `getId` in interface `IItemDescriptor`
Returns:
  The identifier
See Also:
  `IItemDescriptor.getId()`

#### getLabelProvider

    public org.eclipse.jface.viewers.ILabelProvider getLabelProvider()

Return the labelProvider.

Returns:
  the labelProvider

#### getActionProvider

    public org.eclipse.ui.views.properties.tabbed.IActionProvider getActionProvider()

Return the actionProvider.

Returns:
  the actionProvider

#### getTypeMapper

    public org.eclipse.ui.views.properties.tabbed.ITypeMapper getTypeMapper()

Return the typeMapper.

Returns:
  the typeMapper

#### getSectionDescriptorProvider

    public org.eclipse.ui.views.properties.tabbed.ISectionDescriptorProvider getSectionDescriptorProvider()

Return the sectionDescriptorProvider.

Returns:
  the sectionDescriptorProvider

#### getTabDescriptorProvider

    public org.eclipse.ui.views.properties.tabbed.ITabDescriptorProvider getTabDescriptorProvider()

Return the tabDescriptorProvider.

Returns:
  the tabDescriptorProvider

#### isOverridableTabListContentProvider

    public boolean isOverridableTabListContentProvider()

Return the overridableTabListContentProvider.

Returns:
  the overridableTabListContentProvider

#### getCategories

    public java.util.List<java.lang.String> getCategories()

Get categories.

Returns:
  The categories